<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.util (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.util (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/storage/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../com/sk89q/worldedit/util/auth/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.util</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Faceted.html" title="interface in com.sk89q.worldedit.util">Faceted</a></td>
<td class="colLast">
<div class="block">Indicates that an object can provide various "facets," which are
 specific distinct interfaces that can represent a portion of the object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a></td>
<td class="colLast">
<div class="block">Represents an object that can be identified by a UUID.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Countable.html" title="class in com.sk89q.worldedit.util">Countable</a>&lt;T&gt;</td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Direction.Flag.html" title="class in com.sk89q.worldedit.util">Direction.Flag</a></td>
<td class="colLast">
<div class="block">Flags to use with <a href="../../../../com/sk89q/worldedit/util/Direction.html#findClosest-com.sk89q.worldedit.math.Vector3-int-"><code>Direction.findClosest(Vector3, int)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Enums.html" title="class in com.sk89q.worldedit.util">Enums</a></td>
<td class="colLast">
<div class="block">Helper methods for enums.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/FileDialogUtil.html" title="class in com.sk89q.worldedit.util">FileDialogUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/GuavaUtil.html" title="class in com.sk89q.worldedit.util">GuavaUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/LocatedBlock.html" title="class in com.sk89q.worldedit.util">LocatedBlock</a></td>
<td class="colLast">
<div class="block">Represents a block located at some position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></td>
<td class="colLast">
<div class="block">Represents a location in a world with has a direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util">PropertiesConfiguration</a></td>
<td class="colLast">
<div class="block">Simple LocalConfiguration that loads settings using
 <code>java.util.Properties</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html" title="class in com.sk89q.worldedit.util">TargetBlock</a></td>
<td class="colLast">
<div class="block">This class uses an inefficient method to figure out what block a player
 is looking towards.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util">TreeGenerator</a></td>
<td class="colLast">
<div class="block">Tree generator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.html" title="class in com.sk89q.worldedit.util">WeightedChoice</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">Returns the best choice given a weighting function and a target weight.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.Choice.html" title="class in com.sk89q.worldedit.util">WeightedChoice.Choice</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">A tuple of choice and score.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html" title="class in com.sk89q.worldedit.util">YAMLConfiguration</a></td>
<td class="colLast">
<div class="block">A less simple implementation of <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit"><code>LocalConfiguration</code></a>
 using YAML configuration files.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></td>
<td class="colLast">
<div class="block">A collection of cardinal, ordinal, and secondary-ordinal directions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/storage/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../com/sk89q/worldedit/util/auth/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
